Package org.apache.tools.ant.types.resources

## Interface Appendable

- All Known Implementing Classes:
    `FileResource`, `LogOutputResource`

      public interface Appendable

  Interface to be implemented by "appendable" resources.
  Since:
    Ant 1.8

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.OutputStream` | `getAppendOutputStream()` | Get an appending OutputStream.

- - ### Method Detail

    - #### getAppendOutputStream

          java.io.OutputStream getAppendOutputStream()
                                              throws java.io.IOException

      Get an appending OutputStream.
      Returns:
        OutputStream
      Throws:
        `java.io.IOException` - if anything goes wrong